Bug 497660 - Review Request: perl-MIME-Charset - Charset Informations for MIME
Review Request: perl-MIME-Charset - Charset Informations for MIME
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 497661
  Show dependency treegraph
 
Reported: 2009-04-25 17:01 EDT by Xavier Bachelot
Modified: 2009-05-09 00:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.006.2-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:28:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-04-25 17:01:58 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-MIME-Charset.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-MIME-Charset-1.006.2-1.fc10.src.rpm
Description: MIME::Charset provides informations about character sets used for MIME messages on Internet.
Comment 1 Parag AN(पराग) 2009-04-28 01:05:11 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1325834
+ rpmlint output for SRPM and for RPM.
perl-MIME-Charset.noarch: E: useless-provides perl(MIME::Charset)
=>This package provides 2 times the same capacity. It should only provide it once. remove this.
+ source files match upstream url
22a140a7f323518301d9998bf50e2e17  MIME-Charset-1.006.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=7, Tests=77,  0 wallclock secs ( 0.08 usr  0.01 sys +  0.43 cusr  0.04 csys =  0.56 CPU)
+ Package perl-MIME-Charset-1.006.2-1.fc12.noarch =>
  Provides: perl(MIME::Charset) perl(MIME::Charset) = 1.006.2 perl(MIME::Charset::_Compat) = 1.003
Requires: perl >= 0:5.004 perl >= 0:5.005 perl(Carp) perl(Exporter) perl(strict) perl(vars)

Suggestions:
1) remove perl(MIME::Charset) provides in SPEC.
Comment 2 Xavier Bachelot 2009-04-28 17:48:58 EDT
Thanks for the review Parag.

New version, duplicate provide is filtered :
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-MIME-Charset.spec
SRPM URL:
http://www.bachelot.org/fedora/SRPMS/perl-MIME-Charset-1.006.2-2.fc10.src.rpm
Comment 3 Parag AN(पराग) 2009-04-29 04:03:27 EDT
APPROVED.
Comment 4 Xavier Bachelot 2009-04-29 04:06:44 EDT
Thanks.

New Package CVS Request
=======================
Package Name: perl-MIME-Charset
Short Description: Charset Informations for MIME
Owners: xavierb
Branches: F-9 F-10 F-11 EL-5
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-04-30 00:50:06 EDT
cvs done.
Comment 6 Fedora Update System 2009-04-30 13:49:33 EDT
perl-MIME-Charset-1.006.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-MIME-Charset-1.006.2-2.fc10
Comment 7 Fedora Update System 2009-04-30 13:49:39 EDT
perl-MIME-Charset-1.006.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-MIME-Charset-1.006.2-2.fc11
Comment 8 Fedora Update System 2009-04-30 13:49:43 EDT
perl-MIME-Charset-1.006.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-MIME-Charset-1.006.2-2.fc9
Comment 9 Fedora Update System 2009-05-02 12:28:35 EDT
perl-MIME-Charset-1.006.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-02 12:41:05 EDT
perl-MIME-Charset-1.006.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-09 00:08:07 EDT
perl-MIME-Charset-1.006.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.